FreeBSD fortytwo.zapto.org 4.9-STABLE FreeBSD
4.9-STABLE #0: Thu Mar  4 04:07:58 EST 2004    
[EMAIL PROTECTED]:/usr/obj/usr/src/sys/FORTYTWO 
i386

Hopefully someone can point me in the right direction
here. 

from ports/CHANGES

The PTHREAD{CFLAGS,LIBS} macros have been made
overridable on all versions of FreeBSD to allow for
alternate threading implementations (e.g. -lc_r,
-lthr, -mt, etc.).  The default threading library has
been changed to -lpthread from -lc_r on -CURRENT.

I don't see a change for STABLE, so I'm really lost.

when startx (then flip back to console)
** ( xfce-mcs-manager:PID-#) WARNING ** module
/usr/X11R6/libxfce4/mcs-plugins/lib/xfce4settings.so:
cannot be opened (/usr/local/lib/libxml2.so.5 undefind
symbol "pthread_equal")

Recomipled, python, libiconv, libtool1(3,4 and 5),
liniltool, libxml2, libxslt, xfce4-* gmp, pkgtools,
pkg_instal,  t1lib, atk, py23-mpz.

Same issues still, and a few ports are failing to
build do to: 

gimp-devel

cc -O -pipe -march=pentiumpro -Wall -o .libs/wmf wmf.o
-Wl,--export-dynamic  -L/usr/local/lib
-L/usr/X11R6/lib ../../libgimp/.libs/libgimpui-1.3.so
/usr/ports/graphics/gimp-devel/work/gimp-2.0pre4/libgimp/.libs/libgimp-1.3.so
/usr/ports/graphics/gimp-devel/work/gimp-2.0pre4/libgimpwidgets/.libs/libgimpwidgets-1.3.so
/usr/ports/graphics/gimp-devel/work/gimp-2.0pre4/libgimpmodule/.libs/libgimpmodule-1.3.so
../../libgimpwidgets/.libs/libgimpwidgets-1.3.so
../../libgimp/.libs/libgimp-1.3.so
/usr/ports/graphics/gimp-devel/work/gimp-2.0pre4/libgimpcolor/.libs/libgimpcolor-1.3.so
/usr/ports/graphics/gimp-devel/work/gimp-2.0pre4/libgimpbase/.libs/libgimpbase-1.3.so
../../libgimpcolor/.libs/libgimpcolor-1.3.so
../../libgimpbase/.libs/libgimpbase-1.3.so -lwmf
-lwmflite -lSM -lICE -lxml2 -ljpeg -lpng -lgtk-x11-2.0
-lgdk-x11-2.0 -lXrandr -lXi -lXinerama -latk-1.0
-lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lXft -lfreetype
-lz -lXrender -lXext -lfontconfig -lpangox-1.0 -lX11
-lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0
-liconv -lintl -Wl,--rpath -Wl,/usr/X11R6/lib
/usr/local/lib/libxml2.so: undefined reference to
`pthread_equal'
/usr/local/lib/libxml2.so: undefined reference to
`pthread_once

I've followed the directions at onlamp for using
portupgrade, and that fails for the same pthread_
errors.

Any hints or cluesticks would help, the mailing lists
seem to only have issues with 5.x 

[EMAIL PROTECTED]  ~ >  ldd /usr/local/lib/libxml2.so
/usr/local/lib/libxml2.so:
        libz.so.2 => /usr/lib/libz.so.2 (0x281ed000)
        libiconv.so.3 => /usr/local/lib/libiconv.so.3
(0x281fb000)
        libm.so.2 => /usr/lib/libm.so.2 (0x282e9000)

Thanks in advance.

__________________________________
Do you Yahoo!?
Yahoo! Search - Find what you’re looking for faster
http://search.yahoo.com
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to